clang-tools 6.0.0

Classes | Functions
ClangTidyDiagnosticConsumer.cpp File Reference
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyOptions.h"`
`#include "clang/AST/ASTDiagnostic.h"`
`#include "clang/Basic/DiagnosticOptions.h"`
`#include "clang/Frontend/DiagnosticRenderer.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallString.h"`
`#include <tuple>`
`#include <vector>`
Include dependency graph for ClangTidyDiagnosticConsumer.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::ClangTidyContext::CachedGlobList

## Functions
static bool | ConsumeNegativeIndicator (StringRef &GlobList)
static llvm::Regex | ConsumeGlob (StringRef &GlobList)
static bool | IsNOLINTFound (StringRef NolintDirectiveText, StringRef Line, unsigned DiagID, const ClangTidyContext &Context)
static bool | LineIsMarkedWithNOLINT (SourceManager &SM, SourceLocation Loc, unsigned DiagID, const ClangTidyContext &Context)
static bool | LineIsMarkedWithNOLINTinMacro (SourceManager &SM, SourceLocation Loc, unsigned DiagID, const ClangTidyContext &Context)

## Function Documentation

## ◆ ConsumeGlob()

static llvm::Regex ConsumeGlob | ( | StringRef & | GlobList | ) |
| static

Definition at line 128 of file ClangTidyDiagnosticConsumer.cpp.

## ◆ ConsumeNegativeIndicator()

static bool ConsumeNegativeIndicator | ( | StringRef & | GlobList | ) |
| static

Definition at line 118 of file ClangTidyDiagnosticConsumer.cpp.

## ◆ IsNOLINTFound()

static bool IsNOLINTFound | ( | StringRef | NolintDirectiveText,
|  | StringRef | Line,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 294 of file ClangTidyDiagnosticConsumer.cpp.

References Checks(), and clang::tidy::ClangTidyContext::getCheckName().

## ◆ LineIsMarkedWithNOLINT()

static bool LineIsMarkedWithNOLINT | ( | SourceManager & | SM,
|  | SourceLocation | Loc,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 323 of file ClangTidyDiagnosticConsumer.cpp.

## ◆ LineIsMarkedWithNOLINTinMacro()

static bool LineIsMarkedWithNOLINTinMacro | ( | SourceManager & | SM,
|  | SourceLocation | Loc,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 369 of file ClangTidyDiagnosticConsumer.cpp.

Referenced by clang::tidy::ClangTidyDiagnosticConsumer::HandleDiagnostic().